# exception Class Reference

Inheritance diagram for exception:

List of all members.

## Detailed Description

This is the base class for all exceptions thrown by the standard library, and by certain language expressions. You are free to derive your own exception classes, or use a different hierarchy, or to throw non-class data (e.g., fundamental types).

Definition at line 54 of file exception.

## Public Member Functions

- virtual const char * what () const throw ()

## Member Function Documentation

virtual const char* what | ( |  | ) | const throw ()`[virtual]`

| Returns a C-style character string describing the general cause of the current error. Reimplemented in ios_base::failure, logic_error, and runtime_error.

The documentation for this class was generated from the following file:

- exception